## ./crawl.py

Crawler for Trafikverkets API

```
usage: crawl.py [-h] [-s] [-f] [-o path] [-w webhookurl] -a authkey [-v] [-m] [-q] objecttype identifier

Crawler for Trafikverket's Trafikinfo API

positional arguments:
  objecttype            the API objecttype to crawl
  identifier            the identifier to crawl data for (for railway this is the station location signature "trafikplatssignatur")

options:
  -h, --help            show this help message and exit
  -s, --stream          use streaming in real-time instead of daily crawling
  -f, --force           force new connection instead of reconnecting
  -o, --output path     the output folder
  -w, --webhook webhookurl
                        Webhook URL to trigger when warnings or exceptions occur
  -a, --authkey authkey
                        The API authkey to use as obtained from https://data.trafikverket.se/get-started
  -v, --verbose         Prints extra debug information
  -m, --mute            Mute output of warnings to webhook.
  -q, --query           Print query only instead of starting a crawler
```

*Example:*

	./crawl.py -a <insert authkey> -s -l TrainAnnouncement Sub

Starts crawling of TrainAnnouncements using continuous streaming for Sundbyberg station.

