#Crawling for SPÖK
#export environment variables TIPSA_AUTH and IFTTT_URL in secrets.sh

source secrets.sh


LOCATIONS=('Av' 'Hm' 'My' 'N' 'Nr' 'Lp' 'K' 'Mo' 'Vö' 'Gm' 'Äh' 'Rym' 'Väc' 'Vs' 'Em' 'Ck' 'Kms' 'Söö' 'Sl' 'Blgc')

for location in "${LOCATIONS[@]}"
do
    screen -dm -S TIPSA-$location-announce ./crawl.py -f -a $TIPSA_AUTH -o TIPSA/TrainAnnouncement/$location -s -m -w $IFTTT_URL TrainAnnouncement $location
    screen -dm -S TIPSA-$location-announce-daily ./crawl.py -a $TIPSA_AUTH -o TIPSA/Daily/TrainAnnouncement/$location -m -w $IFTTT_URL TrainAnnouncement $location

    screen -dm -S TIPSA-$location-message ./crawl.py -f -a $TIPSA_AUTH -o TIPSA/TrainMessage/$location -s -m -w $IFTTT_URL TrainMessage $location
    screen -dm -S TIPSA-$location-message-daily ./crawl.py -a $TIPSA_AUTH -o TIPSA/Daily/TrainMessage/$location -m -w $IFTTT_URL TrainMessage $location

    echo "Started crawling $location"
done

#Locations without message crawling

LOCATIONS_A=('Bld' 'Gåp')

for location in "${LOCATIONS_A[@]}"
do
    screen -dm -S TIPSA-$location-announce ./crawl.py -f -a $TIPSA_AUTH -o TIPSA/TrainAnnouncement/$location -s -m -w $IFTTT_URL TrainAnnouncement $location
    screen -dm -S TIPSA-$location-announce-daily ./crawl.py -a $TIPSA_AUTH -o TIPSA/Daily/TrainAnnouncement/$location -m -w $IFTTT_URL TrainAnnouncement $location

    echo "Started crawling $location"
done

#Locations with daily crawling
LOCATIONS_D=('G' 'Cst' 'Ös' 'Uå' 'M' 'Le' 'Du' 'Suc')

for location in "${LOCATIONS_D[@]}"
do
    screen -dm -S TIPSA-$location-announce-daily ./crawl.py -f -a $TIPSA_AUTH -o TIPSA/Daily/TrainAnnouncement/$location -m -w $IFTTT_URL TrainAnnouncement $location
    screen -dm -S TIPSA-$location-message-daily ./crawl.py -f -a $TIPSA_AUTH -o TIPSA/Daily/TrainMessage/$location -m -w $IFTTT_URL TrainMessage $location

    echo "Started crawling $location"
done